Skip to main content
`Ctrl`+`K`

# DMPlexGetCones

Return cone data

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCones(DM dm, PetscInt *cones[])

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- cones - The cone for each point

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetConeSection()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages